Subject: Re: [Intel-wired-lan] [PATCH iwl-next, v1 0/3] Add Default Rx Queue Setting for igc driver

From: Jakub Kicinski <[email-masked]>
Date: Wed, 31 Jul 2024 16:52:53 -0700

On Wed, 31 Jul 2024 09:41:16 -0700 Jacob Keller wrote:
> In this case, (I haven't dug into the actual patches or code), I suspect
> the driver will need to validate the location values when adding rules
> to ensure that all rules which don't use the default queue have higher
> priority than the wild card rule. The request to add a filter should
> reject the rule in the case where a default queue rule was added with a
> higher priority location.

Maybe I shouldn't say it aloud but picking a "known" location for such
a wildcard rule wouldn't be the worst thing. Obviously better if the
driver just understand ordering!